# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1070+1.1063.1.8 -> 1.1071 
#	      fs/proc/base.c	1.16    -> 1.17   
#	     kernel/sysctl.c	1.22.1.1 -> 1.24   
#	            Makefile	1.223   -> 1.224  
#	 fs/proc/proc_misc.c	1.22.1.1 -> 1.24   
#	drivers/char/agp/agpgart_be.c	1.49    -> 1.50   
#	drivers/char/Config.in	1.49    -> 1.50   
#	drivers/net/Makefile	1.36    -> 1.37   
#	arch/i386/kernel/io_apic.c	1.31    -> 1.32   
#	include/linux/pci_ids.h	1.64    -> 1.65   
#	arch/i386/kernel/setup.c	1.72    -> 1.73   
#	arch/ia64/kernel/acpi.c	1.24    -> 1.25   
#	Documentation/Configure.help	1.170   -> 1.171  
#	include/asm-i386/hw_irq.h	1.5.1.1 -> 1.8    
#	arch/i386/kernel/pci-irq.c	1.24    -> 1.25   
#
diff -Nru a/arch/ia64/kernel/acpi.c b/arch/ia64/kernel/acpi.c
--- a/arch/ia64/kernel/acpi.c	Wed Oct  8 09:06:07 2003
+++ b/arch/ia64/kernel/acpi.c	Wed Oct  8 09:06:07 2003
@@ -624,7 +624,7 @@
 }
 
 int
-acpi_register_irq (u32 gsi, u32 polarity, u32 mode)
+acpi_register_irq (u32 gsi, u32 polarity, u32 trigger)
 {
 	int vector = 0;
 
@@ -635,8 +635,9 @@
 		return 0;
 
 	/* Turn it on */
-	vector = iosapic_register_intr(gsi, polarity ? IOSAPIC_POL_HIGH : IOSAPIC_POL_LOW,
-			mode ? IOSAPIC_EDGE : IOSAPIC_LEVEL);
+	vector = iosapic_register_intr(gsi,
+		       	(polarity == ACPI_ACTIVE_HIGH) ? IOSAPIC_POL_HIGH : IOSAPIC_POL_LOW,
+			(trigger == ACPI_EDGE_SENSITIVE) ? IOSAPIC_EDGE : IOSAPIC_LEVEL);
 	return vector;
 }
 
diff -Nru a/drivers/char/agp/agpgart_be.c b/drivers/char/agp/agpgart_be.c
--- a/drivers/char/agp/agpgart_be.c	Wed Oct  8 09:06:07 2003
+++ b/drivers/char/agp/agpgart_be.c	Wed Oct  8 09:06:07 2003
@@ -5223,7 +5223,7 @@
 	agp_bridge.type = HP_ZX1;
 
 	fake_bridge_dev.vendor = PCI_VENDOR_ID_HP;
-	fake_bridge_dev.device = PCI_DEVICE_ID_HP_ZX1_LBA;
+	fake_bridge_dev.device = PCI_DEVICE_ID_HP_PCIX_LBA;
 
 	return hp_zx1_ioc_init(ioc_hpa, lba_hpa);
 }
diff -Nru a/include/linux/pci_ids.h b/include/linux/pci_ids.h
--- a/include/linux/pci_ids.h	Wed Oct  8 09:06:07 2003
+++ b/include/linux/pci_ids.h	Wed Oct  8 09:06:07 2003
@@ -589,11 +589,12 @@
 #define PCI_DEVICE_ID_HP_DIVA1		0x1049
 #define PCI_DEVICE_ID_HP_DIVA2		0x104A
 #define PCI_DEVICE_ID_HP_SP2_0		0x104B
+#define PCI_DEVICE_ID_HP_PCI_LBA	0x1054
 #define PCI_DEVICE_ID_HP_REO_SBA	0x10f0
 #define PCI_DEVICE_ID_HP_REO_IOC	0x10f1
 #define PCI_DEVICE_ID_HP_ZX1_SBA	0x1229
 #define PCI_DEVICE_ID_HP_ZX1_IOC	0x122a
-#define PCI_DEVICE_ID_HP_ZX1_LBA	0x122e
+#define PCI_DEVICE_ID_HP_PCIX_LBA	0x122e
 #define PCI_DEVICE_ID_HP_SX1000_IOC	0x127c
 
 #define PCI_VENDOR_ID_PCTECH		0x1042
